Bug 338321 - [RHEL 5.2] Xen 3.1.1 Add F11/F12 key support to hvm bios
[RHEL 5.2] Xen 3.1.1 Add F11/F12 key support to hvm bios
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Michal Novotny
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-10-18 12:31 EDT by Cole Robinson
Modified: 2014-02-02 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 06:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
HVM BIOS F11/F12 support (1.13 KB, patch)
2009-03-05 10:44 EST, Michal Novotny
no flags Details | Diff

  None (edit)
Description Cole Robinson 2007-10-18 12:31:26 EDT
The following cset from xen-3.1-testing.hg adds support for F11 and F12 keys in
the hvm bios. It is recommended for inclusion in RHEL 5.2.

15368 - hvm: Add rombios decoding of F11/F12 scancodes in support for
Microsoft's Remote Installation Services, which require F11/F12 keys
Comment 1 RHEL Product and Program Management 2007-10-18 12:34:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 RHEL Product and Program Management 2008-03-11 15:39:06 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 4 Michal Novotny 2009-03-05 10:44:46 EST
Created attachment 334140 [details]
HVM BIOS F11/F12 support

This is a patch to support F11/F12 keys. Tested using slightly modified version of MikeOS (to support help on F11/F12 keys as well). Working fine...
Comment 6 Jiri Denemark 2009-03-20 09:51:57 EDT
Fix built into xen-3.0.3-83.el5
Comment 8 zhanghaiyan 2009-07-29 06:19:17 EDT
Verified on xen-3.0.3-91.el5 and PASS
Comment 10 errata-xmlrpc 2009-09-02 06:09:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.